Test failures in AccountControllerTest
2009-02-17 00:29 - Eric Davis
Priority: Normal Due date:

Assignee: Eric Davis % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

| tried to debug this but | ran out of time. Running the functional tests for teh AccountController is intermitmently producing test
failures. |tracked it down to Setting.openid? not returning true even if it's set to true by a test. The test database might need to be
purged to reproduce.

This was caught by my ClI server at r2472.

RAILS_ENV=test rake db:test:purge && RAILS_ENV=test rake db:migrate && ruby test/functional/accou
nt_controller_test.rb

1) Failure:

test_login_with_openid_for_existing_user (AccountControllerTest)
[test/functional/account_controller_test.rb:80:in “test_login_with_openid_for_existing_user'
/home/edavis/dev/redmine/redmine-core/vendor/rails/activerecord/lib/../../activesupport/lib/a

ctive_support/testing/setup_and_teardown.rb:67:in °__send_ '
/home/edavis/dev/redmine/redmine-core/vendor/rails/activerecord/1lib/../../activesupport/lib/a

ctive_support/testing/setup_and_teardown.rb:67:in ‘run']:

Expected response to be a <:redirect>, but was <200>

2) Failure:

test_login_with_openid_with_new_user_and_self_ registration_off (AccountControllerTest)
[test/functional/account_controller_test.rb:98:in “test_login_with_openid_with_new_user_and_se

1f_registration_off'
/home/edavis/dev/redmine/redmine-core/vendor/rails/activerecord/1lib/../../activesupport/lib/a

ctive_support/testing/setup_and_teardown.rb:67:in °~__ _send_ '
/home/edavis/dev/redmine/redmine-core/vendor/rails/activerecord/lib/../../activesupport/lib/a

ctive_support/testing/setup_and_teardown.rb:67:in “run']:

Expected response to be a <:redirect>, but was <200>

3) Failure:
test_login_with_openid_with_new_user_created (AccountControllerTest)
[test/functional/account_controller_test.rb:87:in “test_login_with_openid_with_new_user_create
d'
/home/edavis/dev/redmine/redmine-core/vendor/rails/activerecord/lib/../../activesupport/lib/a
ctive_support/testing/setup_and_teardown.rb:67:in °_ send_ '
/home/edavis/dev/redmine/redmine—core/vendor/rails/activerecord/lib/../../activesupport/lib/a
ctive_support/testing/setup_and_teardown.rb:67:in “run']:
Expected response to be a <:redirect>, but was <200>

4) Failure:
test_login_with_openid_with_new_user_created_with_email_activation_should_have_a_token (AccountCont
rollerTest)

[test/functional/account_controller_test.rb:107:in “test_login_with_openid_with_new_user_creat
ed_with_email_activation_should_have_a_token'
/home/edavis/dev/redmine/redmine—core/vendor/rails/activerecord/lib/../../activesupport/lib/a
ctive_support/testing/setup_and_teardown.rb:67:in °__ send_ '
/home/edavis/dev/redmine/redmine-core/vendor/rails/activerecord/1lib/../../activesupport/lib/a
ctive_support/testing/setup_and_teardown.rb:67:in “run']:
Expected response to be a <:redirect>, but was <200>

5) Failure:
test_login_with_openid_with_new_user_created_with_manual_activation (AccountControllerTest)
[test/functional/account_controller_test.rb:119:in "test_login_with_openid_with_new_user_creat
ed_with_manual_activation'
/home/edavis/dev/redmine/redmine-core/vendor/rails/activerecord/lib/../../activesupport/lib/a
ctive_support/testing/setup_and_teardown.rb:67:in ' _ _send_ '
/home/edavis/dev/redmine/redmine—-core/vendor/rails/activerecord/lib/../../activesupport/lib/a
ctive_support/testing/setup_and_teardown.rb:67:in “run']:
Expected response to be a <:redirect>, but was <200>

6) Failure:

test_login_with_openid_with_new_user_with_conflict_should_register (AccountControllerTest)
[test/functional/account_controller_test.rb:134:in “test_login_with_openid_with_new_user_with_

conflict_should_register'
/home/edavis/dev/redmine/redmine—-core/vendor/rails/activerecord/lib/../../activesupport/lib/a

ctive_support/testing/setup_and_teardown.rb:67:in °_ send_ '
/home/edavis/dev/redmine/redmine—-core/vendor/rails/activerecord/lib/../../activesupport/lib/a

ctive_support/testing/setup_and_teardown.rb:67:in “run']:

expecting <"register"> but rendering with <"login">

14 tests, 29 assertions, 6 failures, 0 errors

Associated revisions

Revision 2481 - 2009-02-19 22:03 - Jean-Philippe Lang
Fixes Setting.openid? (#2764).

History

#1 - 2009-02-19 22:02 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed
It should be fixed by r2481.
#2 - 2009-02-20 00:54 - Eric Davis

Looks like that fixed it, CruiseControl and my local system are both reporting all green now. | must have missed Setting#openid? being defined
directly, I thought it was using the dynamic class_eval.
